wiki:CompilingMapGuide22Ubuntu910

Build Instruction on Ubuntu 10.04

The compilation steps for Ubuntu 10.04 are incomplete. More work is required.

Build Environment Setup

Ubuntu 10.04 uses GCC 4.4 as its native compiler. MapGuide 2.2 does not compile cleanly against GCC 4.4. Further work will be required to support native GCC 4.4 compilation.

Compilation is more successful if Ubuntu is set up with GCC 4.1.

  1. Grab Tudor Golubenco's atomic.h replacement header and drop it in /usr/include/asm
  1. install the following packages (list may not be complete):
    apt-get install gcc-4.1 g++-4.1 autoconf automake automake1.7 libtool bison
    apt-get install zlib1g zlib1g-dev zlibc libjpeg62-dev libxml2-dev
    
  2. Export CC, CPP, and CXX to use GCC 4.1:
    export CC=gcc-4.1
    export CPP='gcc-4.1 -E'
    export CXX=g++-4.1
    

However, there is at least one Oem build script which hardcodes CC, CPP, and CXX. The build will fail here so additional script cleanup will be required.

Build Process

work in progress

Last modified 7 years ago Last modified on Jul 26, 2010 12:37:39 PM